#define stepPin 13
#define dirPin 12

void setup()
{
  Serial.begin(9600);
  Serial.println("Starting stepper exerciser.");

  pinMode(stepPin, OUTPUT);
  pinMode(dirPin, OUTPUT);

  digitalWrite(dirPin, HIGH);
  digitalWrite(stepPin, LOW);
}

void step(byte dir, int pause)
{
  digitalWrite(dirPin, dir);
  digitalWrite(stepPin, HIGH);
  delayMicroseconds(2);
  digitalWrite(stepPin, LOW);
  if (pause != 0)
    delayMicroseconds(pause);
}
  

void loop()
{
    int i;
    for (i = 0; i < 201; i++)
    {
      step(0, 10000);
      //delay(10);
    }
    
    delay(1000);
    
    for (i = 0; i < 202; i++)
    {
      step(1, 10000);
      //delay(10);
    }
      
    delay(1000);
}
