// Zigbee LED controller test program GPL by Philipp Tiefenbacher 2008

// wenn Arduino (mit microcontroller) mit dem Zigbeeshield 
// verbunden ist die beiden Jumper am shield auf XBEE setzen (ACHTUNG: in diesem Zustand NICHT an USB anstecken)
// wenn man den arduino programmieren moechte temporaer die beiden jumper ganz entfernen 
// dann programmieren und danach die jaumper wider auf XBEE setzen
//
// wenn microcontrollerloser Arduino mit Zigbeeshield verbunden ist beide Jumper auf USB setzen


#define LED_PIN 13

void setup()
{
  pinMode(LED_PIN, OUTPUT);
  
  Serial.begin(9600);
  initZigbee();
}

int led_pause = 0;

void loop()
{
  int val;
  
  val  = Serial.read();
  
  if (val == '0')
    led_pause = 0;
    
  if (val == '1')
    led_pause = 50;
    
  if (val == '2')
    led_pause = 100;
    
  if (val == '3')
    led_pause = 200;
    
  if (val != -1 && val != '\r' && val != '/n')
  {
    Serial.print("ack: ");
    Serial.print(val, BYTE);
    Serial.println(); // new line
  }
  
  if (led_pause != 0)
  {
    digitalWrite(LED_PIN, HIGH);
    delay(led_pause);
    digitalWrite(LED_PIN, LOW);
    delay(led_pause);
  }
}

void initZigbee()
{
  digitalWrite(LED_PIN, HIGH);
  
  // wir muessen davor und danach eine sekunde warten
  delay(1050);
  Serial.print("+++");
  delay(1050);
  
  // meine adresse ist
  Serial.println("ATMY 23");
  delay(100);
  Serial.println("ATDH 0");
  delay(100);
  Serial.println("ATDL 0"); // Nur an 0 antworten
  //Serial.println("ATDL FFFF"); // an alle antworten
  delay(100);
  Serial.println("ATCN"); 
  delay(100); 
  
  digitalWrite(LED_PIN, LOW);
}


