#include "WProgram.h"
#define COLORS 3
#define FUNKY_FUNCTIONS 2

void setup();
void callRandomFunction();
void loop();
void rainbow();
void randomAlert();
void alert(int col);
void rgbInterval();
void setRGB(int r, int g, int b);
int mySin(int pos, int on);
int index = 0;
int color[COLORS] = {
  0, 0, 0};
int colorPin[COLORS] = {
  11, 10, 9};
//int invert[COLORS]


void setup() {
  for (int i = 0; i < COLORS; i++) {
    pinMode(colorPin[i], OUTPUT);
  }
}



void callRandomFunction()
{
  int time;
  long randNumber;  
  
  time = millis();
  randomSeed(time);
  randNumber = random(2,FUNKY_FUNCTIONS);
  
    switch (randNumber){
    case 1:
     rainbow();
    break;
    case 2:
     randomAlert(); 
    break;

  }
}



void loop() {
 callRandomFunction();
}





// FUNKY FUNCZION START HERE

//#1
void rainbow() {
  int r, g, b, on;
  int i;

  on = 100;


  r = 0;
  g = 255+on;
  b = 255+on+255+on;
  for (i = 0; i < 10000; i++) {
    setRGB(mySin(r, on), mySin(g, on), mySin(b, on));   
    r++;
    g++;
    b++;
    r %= 3*255+3*on;
    g %= 3*255+3*on;
    b %= 3*255+3*on;
    delay(25);
  }
}






//#2
void randomAlert()
{
  int time;
  long randNumber;  
  time = millis();
  randomSeed(time);
  alert(random(1,3));
}

void alert(int col) {
  int r, g, b, i, j;

  r = col == 0 ? 255 : 0;
  g = col == 1 ? 255 : 0;
  b = col == 2 ? 255 : 0;

  for (i = 0; i < 3; i++) {
    for (j = 0; j < 255; j++) {
      setRGB((r*j)/255, (g*j)/255, (b*j)/255);
      delay(2);
    }
    delay(200);
    for (j = 255; j > 0; j--) {
      setRGB((r*j)/255, (g*j)/255, (b*j)/255);
      delay(2);
    }
    setRGB(10, 10, 10);
    delay(200);

  }
}









//#3
void rgbInterval() {
  for (int i = 0; i < 6; i++) {
    setRGB(255, 0, 0);
    delay(500);
    setRGB(0, 255, 0);
    delay(500);
    setRGB(0, 0, 255);
    delay(500); 
  }
}










// funtions to call from funky functions :)

void setRGB(int r, int g, int b) {
  analogWrite(colorPin[0], 255-r);
  analogWrite(colorPin[1], 255-g);
  analogWrite(colorPin[2], 255-b);
}




int mySin(int pos, int on) {
  if (pos <= 255)
    return pos;
  if (pos > 255 && pos <= 255+on)
    return 255;
  if (pos >= 255+on && pos < 255+on+255)
    return (510+on)-pos;
  return 0; 
}








int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

