#include "WProgram.h"
#define COLORS 3

void setup();
void loop();
int index = 0;
int color[COLORS] = {0, 0, 0};
int colorPin[COLORS] = {11, 10, 9};
//int invert[COLORS]


void setup() {
  for (int i = 0; i < COLORS; i++) {
    pinMode(colorPin[i], OUTPUT);
  }
  Serial.begin(57600);  
}

void loop() {
  for (int i = 0; i < COLORS; i++) {
    analogWrite(colorPin[i], 255-color[i]);
  }
  
  int serByte = Serial.read();
  if (serByte != -1) {
    if (serByte == 255) {
      index = 0;
    }
    else if (index < COLORS) {
      if (serByte == 254)
        serByte = 255;
      color[index] = serByte;
      index++;
    } 
  }
}
  
  
  

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

