/**
 * Analog In 
 * by <a href="http://itp.jtnimoy.com">Josh Nimoy</a>. 
 * 
 * Reads a value from the serial port and sets the background color. 
 * Running this example requires you have a BX-24 microcontroller
 * and peripheral hardware. More information can be found on the tutorial 
 * pages of Tom Igoe: http://stage.itp.nyu.edu/~tigoe/pcomp/examples.shtml
 * Because this program uses the serial port, it will not work within a web browser. 
 * 
 * Created 8 February 2003. 
 * Updated 2 April 2005
 */
 
import processing.serial.*;

String buff = "";
int val = 0;
int NEWLINE = 10;

Serial port;


void setup()
{
  size(300, 300);

  // Print a list in case COM1 doesn't work out
  println("Available serial ports:");
  println(Serial.list());

  //port = new Serial(this, "COM1", 4800);
  // Uses the first available port
  port = new Serial(this, Serial.list()[2], 4800);
}

void draw()
{
  while (port.available() > 0) {
    String myString = port.readStringUntil(10);
    try {
      if (myString != null) {
        if (myString.substring(0, 6).equals("$GPRMC"))
        {
          println(myString);
        }
      }
    }
    // wenn ein fehler auftritt weil zb ein string zu kurz ist tue nix
    catch (Exception ex)
    {
    }
  }
}
